Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Public Types | Data Fields
iseq_catch_table_entry Struct Reference

`#include <iseq.h>`

## Public Types
enum | catch_type { CATCH_TYPE_RESCUE = INT2FIX(1), CATCH_TYPE_ENSURE = INT2FIX(2), CATCH_TYPE_RETRY = INT2FIX(3), CATCH_TYPE_BREAK = INT2FIX(4), CATCH_TYPE_REDO = INT2FIX(5), CATCH_TYPE_NEXT = INT2FIX(6), CATCH_TYPE_RESCUE = INT2FIX(1), CATCH_TYPE_ENSURE = INT2FIX(2), CATCH_TYPE_RETRY = INT2FIX(3), CATCH_TYPE_BREAK = INT2FIX(4), CATCH_TYPE_REDO = INT2FIX(5), CATCH_TYPE_NEXT = INT2FIX(6) }
enum | catch_type { CATCH_TYPE_RESCUE = INT2FIX(1), CATCH_TYPE_ENSURE = INT2FIX(2), CATCH_TYPE_RETRY = INT2FIX(3), CATCH_TYPE_BREAK = INT2FIX(4), CATCH_TYPE_REDO = INT2FIX(5), CATCH_TYPE_NEXT = INT2FIX(6), CATCH_TYPE_RESCUE = INT2FIX(1), CATCH_TYPE_ENSURE = INT2FIX(2), CATCH_TYPE_RETRY = INT2FIX(3), CATCH_TYPE_BREAK = INT2FIX(4), CATCH_TYPE_REDO = INT2FIX(5), CATCH_TYPE_NEXT = INT2FIX(6) }

## Data Fields
enum iseq_catch_table_entry::catch_type | type
rb_iseq_t * | iseq
unsigned int | start
unsigned int | end
unsigned int | cont
unsigned int | sp

## Detailed Description

Definition at line 225 of file iseq.h.

## Member Enumeration Documentation

## ◆ catch_type [1/2]

enum iseq_catch_table_entry::catch_type

Enumerator
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |

Definition at line 226 of file iseq.h.

## ◆ catch_type [2/2]

enum iseq_catch_table_entry::catch_type

Enumerator
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |
CATCH_TYPE_RESCUE |
CATCH_TYPE_ENSURE |
CATCH_TYPE_RETRY |
CATCH_TYPE_BREAK |
CATCH_TYPE_REDO |
CATCH_TYPE_NEXT |

Definition at line 10846 of file rb_mjit_min_header-2.7.0.h.

## Field Documentation

## ◆ cont

unsigned int iseq_catch_table_entry::cont

Definition at line 251 of file iseq.h.

## ◆ end

unsigned int iseq_catch_table_entry::end

Definition at line 250 of file iseq.h.

## ◆ iseq

rb_iseq_t * iseq_catch_table_entry::iseq

Definition at line 247 of file iseq.h.

## ◆ sp

unsigned int iseq_catch_table_entry::sp

Definition at line 252 of file iseq.h.

## ◆ start

unsigned int iseq_catch_table_entry::start

Definition at line 249 of file iseq.h.

## ◆ type

enum iseq_catch_table_entry::catch_type iseq_catch_table_entry::type

The documentation for this struct was generated from the following files:

- iseq.h
- /msysdev/ruby/src/build-x86_64-pc-msys/include/ruby-2.7.0/x86_64-msys/rb_mjit_min_header-2.7.0.h